import { CommonModule } from '@angular/common';
import { Component, OnInit, ViewChild, inject } from '@angular/core';
import { RouterOutlet } from '@angular/router';
import { STColumn, STComponent } from '@delon/abc/st';
import { SFSchema } from '@delon/form';
import { ModalHelper, _HttpClient } from '@delon/theme';
import { SHARED_IMPORTS } from '@shared';

@Component({
  selector: 'data-v-navigation',
  standalone: true,
  imports: [RouterOutlet, CommonModule, ...SHARED_IMPORTS],
  template: ` <div class="navigation-container">
    <!-- <div class="menu-image-container">
      <img src="{{ imageUrl }}" class="menu-image" />
      <div class="menu-title">{{ title }}</div>
    </div>
    <div class="menu-image-container">
      <img src="{{ imageUrl }}" class="menu-image" />
      <div class="menu-title">{{ title }}</div>
    </div>
    <div class="menu-image-container">
      <img src="{{ imageUrl }}" class="menu-image" />
      <div class="menu-title">{{ title }}</div>
    </div> -->

    <ul>
      <li class="dropdown-submenu" *ngFor="let menu of menuList" (mouseover)="menuOver(menu, $event)">
        <a href="javascript:void(0);" class="menu-group" [class.active]="isActive(menu.MenuGrpCd)">{{ menu.text }}</a>
        <!-- <div class="dropdown-menu" *ngIf="menu && menu.SubList && menu.SubList.length > 0">
          <a
            class="dropdown-item"
            href=".{{ getMenuPath(menu, subMenu) }}"
            *ngFor="let subMenu of menu.SubList"
            (click)="onMenuClick(menu, subMenu, $event)"
          >
            <span *ngIf="!changeMenuText(subMenu)"
              ><app-text-loader *ngIf="showAppTextloader(subMenu)"></app-text-loader>{{ subMenu.MenuCd + '.title' | appLocaleText }}</span
            >
            <span *ngIf="changeMenuText(subMenu)">{{ getChangeMenuText(subMenu) }}</span>
          </a>
        </div> -->
      </li>
    </ul>
  </div>`,
  styleUrls: ['./navigation.component.less']
})
export class DataVNavigationComponent implements OnInit {
  private readonly http = inject(_HttpClient);
  private readonly modal = inject(ModalHelper);

  menuList: any = [
    {
      text: '工作站1'
    },
    {
      text: '工作站2'
    },
    {
      text: '工作站3'
    }
  ];

  imageUrl: string = 'assets/dashboard/menu_btn_l.png';
  title: string = 'Label';

  context: string = '2024-02-29 10:00';

  ngOnInit(): void {}

  add(): void {}

  menuOver(menu: any, $event: any) {}

  isActive(menu: any) {}
}
